import { watch as p } from "vue";
import { cloneDeep as r, isEqual as c } from "lodash";
const a = (o, t) => {
  p(
    () => r(o.option),
    (e, i) => {
      c(e, i) || t(o.option);
    },
    { deep: !0 }
  );
};
export {
  a as useWatch
};
